/* stringLib.c
 * Demonstrate some standard string functions.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define MAX_S2 100

int main() {
  char *s1 = "String one";
  char *s2 = calloc(MAX_S2, sizeof (char));
  char *s3;

  printf("The length of \"%s\" is %d\n",
      s1, strlen(s1));

  strncpy(s2, "Testing", MAX_S2);
  strncat(s2, " 123", MAX_S2 - strlen(s2));
  printf("s2 contains:%s\n", s2);

  s3 = strchr(s1, 'g');
  printf("s3 is now %s\n", s3);

  s3 = strstr(s1, "tr");
  printf("s3 is now %s\n", s3);

  printf("%s compared to %s gives %d\n",
      s1, s2, strncmp(s1, s2, MAX_S2));
  printf("%s compared to %s gives %d\n",
      s2, s1, strncmp(s2, s1, MAX_S2));
  printf("%s compared to String one gives %d\n",
      s1, strcmp(s1, "String one"));

  return 0;
}
